#
# spec file for package asciinema
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           asciinema
Version:        2.0.1
Release:        lp150.1.1
Summary:        Terminal session recorder
License:        GPL-3.0+
Group:          Productivity/Networking/Other
Url:            https://asciinema.org
Source:         https://github.com/asciinema/asciinema/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Record of terminal sessions and sharing them on the web.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

install -Dm644 {man/,%{buildroot}%{_mandir}/man1/}%{name}.1

%files
%defattr(-,root,root,-)
%doc CHANGELOG* LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*
%{_mandir}/man?/%{name}.?%{ext_info}

%changelog
* Thu Apr  5 2018 avvissu@yandex.by
- Upadte to 2.0.1:
  * Fixed example in asciicast v2 format doc
  * Replaced deprecated encodestring with encodebytes
  * Fixed location of config dir (mv ~/.asciinema ~/.config/asciinema)
  * Internal refactorings
* Sun Feb 11 2018 avvissu@yandex.by
- Update to 2.0.0:
  * see: /usr/share/doc/packages/asciinema/CHANGELOG
* Tue May  9 2017 avvissu@yandex.by
- Update to 1.4.0:
  * see: /usr/share/doc/packages/asciinema/CHANGELOG
* Wed Jul 13 2016 avvissu@yandex.by
- Upadate to 1.3.0:
  * see: /usr/share/doc/packages/asciinema/CHANGELOG
- Create a new spec file for building RPM on Python.
* Thu Mar 31 2016 avvissu@yandex.by
- Remove static libraries
* Fri Mar  4 2016 avvissu@yandex.ru
- Update to 1.2.0:
  * see: /usr/share/doc/packages/asciinema/CHANGELOG
* Fri Jan 22 2016 avvissu@yandex.ru
- Fix build on openSUSE > 42.1: add golang-packaging
- Disable find-provides function
* Tue Dec  8 2015 avvissu@yandex.ru
- Initial package
